class Users::RegistrationsController < Devise::RegistrationsController

layout :layout_by_signed_in
  
before_action :configure_sign_up_params, only: [:create]
# before_action :configure_account_update_params, only: [:update]

  # GET /resource/sign_up
  def new
    super
  end

  # POST /resource
  def create
    super
    if current_user.present? && current_user.role_id.present?
      role_id = current_user.role_id        
      role = Role.find(role_id)        
      role_sym = role.name.to_sym      

      current_user.add_role role_sym
    end
  end

  # GET /resource/edit
  # def edit
  #   super
  # end

  # PUT /resource
  # def update
  #   super
  # end

  # DELETE /resource
  # def destroy
  #   super
  # end

  # GET /resource/cancel
  # Forces the session data which is usually expired after sign
  # in to be expired now. This is useful if the user wants to
  # cancel oauth signing in/up in the middle of the process,
  # removing all OAuth session data.
  # def cancel
  #   super
  # end

  protected

  # The path used after sign up.
  def after_sign_up_path_for(resource)
    o_cms.root_path
  end

  # The path used after account info update
  def after_update_path_for(resource)
    edit_user_registration_path
  end

  # The template used for the registrations edit
  def layout_by_signed_in
    if devise_controller? && user_signed_in?
      "o_cms/application"
    else
      # Template used for new
      "layouts/devise"
    end
  end

  # If you have extra params to permit, append them to the sanitizer.
  def configure_sign_up_params
    devise_parameter_sanitizer.permit(:sign_up, keys: [:email, :password, :password_confirmation, :role_id])
  end

  # If you have extra params to permit, append them to the sanitizer.
  # def configure_account_update_params
  #   devise_parameter_sanitizer.permit(:account_update, keys: [:attribute])
  # end

  # The path used after sign up for inactive accounts.
  # def after_inactive_sign_up_path_for(resource)
  #   super(resource)
  # end

end
